Bug 456593 - dvips no longer sends output to printer
dvips no longer sends output to printer
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: texlive (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-24 16:25 EDT by Ed Friedman
Modified: 2013-07-02 19:30 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-26 00:39:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ed Friedman 2008-07-24 16:25:35 EDT
Description of problem:
Unlike all previous versions of RedHat and Fedora, Fedora 9's dvips does not
send the output to a printer

Version-Release number of selected component (if applicable):
texlive-dvips-2007-30.fc9.x86_64
texlive-dvips-2007-30.fc9.i386

How reproducible:
Always

Steps to Reproduce:
1.Run dvips on file.dvi
2.
3.
  
Actual results:
No output goes to the printer.

Expected results:
Output should go to the printer.

Additional info:
Comment 1 Ed Friedman 2008-08-01 10:14:38 EDT
I discovered that the command:  dvips -o - file.dvi | lpr works, but it is
impractical to teach several hundred users to switch to doing this instead of
just dvips file.dvi
Comment 2 Ed Friedman 2008-11-24 17:37:03 EST
I just checked the latest rpm to come out, texlive-dvips-2007-32.fc9.x86_64.  This still does not send any out put to the printer.  I should point out that I am sending the output to a network printer, and not a local printer.  However, it is bizarre that for every version of redhat and fedora, only the fedora 9 dvips fails to send the output to a printer.  Every other version works perfectly....
Comment 3 Ed Friedman 2008-12-04 16:56:47 EST
I just checked under Fedora 10, and this bug still persists.  It is possible to send the dvips output to a printer by using the -P flag, but the default in the past has always been that "dvips file.dvi" would send the output to the default printer.  The man page and the info page all insist that output goes to the default printer, but this is not how the program behaves.
Comment 4 Jindrich Novy 2009-02-26 00:39:21 EST
Ed, upstream has actually decided to change the default dvips output to file instead of printer at the time texlive-2007 was released. Please note that the man page states that it is obsolete and the default configuration of dvips (default output to file) is actually described in config.ps, the dvips configuration file.

I cannot create regression to upstream behaviour at this point, sorry. Please update your dvips configuration to redirect to printer by default manually.

Note You need to log in before you can comment on or make changes to this bug.